Gecode::Int::Branch::ValCommitEq< View > Class Template Reference
Other available functionality » Integer value commit classes

Value commit class for equality. More...

`#include <branch.hh>`

## Public Member Functions

| ValCommitEq (Space &home, const ValBranch< Var > &vb)
| Constructor for initialization.
| ValCommitEq (Space &home, ValCommitEq &vc)
| Constructor for cloning.
ModEvent | commit (Space &home, unsigned int a, View x, int i, int n)
| Commit view x at position i to value n for alternative a.
NGL * | ngl (Space &home, unsigned int a, View x, int n) const
| Create no-good literal for alternative a.
void | print (const Space &home, unsigned int a, View x, int i, int n, std::ostream &o) const
| Print on o the alternative with view x at position i and value n.
Public Member Functions inherited from Gecode::ValCommit< View, int >
| ValCommit (Space &home, const ValBranch< Var > &vb)
| Constructor for initialization.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Delete value commit.

## Additional Inherited Members

Public Types inherited from Gecode::ValCommit< View, int >
typedef View | View
| View type.
typedef View::VarType | Var
| Corresponding variable type.
typedef int | Val
| Value type.

## Detailed Description

template<class View>
class Gecode::Int::Branch::ValCommitEq< View >

Value commit class for equality.

Requires

#include <gecode/int/branch.hh>
branch.hh

Definition at line 506 of file branch.hh.

## Constructor & Destructor Documentation

## ValCommitEq() [1/2]

template<class View>

Gecode::Int::Branch::ValCommitEq< View >::ValCommitEq | ( | Space & | home,
|  | const ValBranch< Var > & | vb )

Constructor for initialization.

## ValCommitEq() [2/2]

template<class View>

Gecode::Int::Branch::ValCommitEq< View >::ValCommitEq | ( | Space & | home,
|  | ValCommitEq< View > & | vc )

inline

Constructor for cloning.

Definition at line 43 of file val-commit.hpp.

## Member Function Documentation

## commit()

template<class View>

ModEvent Gecode::Int::Branch::ValCommitEq< View >::commit | ( | Space & | home,
|  | unsigned int | a,
|  | View | x,
|  | int | i,
|  | int | n )

inline

Commit view x at position i to value n for alternative a.

Definition at line 47 of file val-commit.hpp.

## ngl()

template<class View>

NGL * Gecode::Int::Branch::ValCommitEq< View >::ngl | ( | Space & | home,
|  | unsigned int | a,
|  | View | x,
|  | int | n ) const

inline

Create no-good literal for alternative a.

Definition at line 52 of file val-commit.hpp.

## print()

template<class View>

void Gecode::Int::Branch::ValCommitEq< View >::print | ( | const Space & | home,
|  | unsigned int | a,
|  | View | x,
|  | int | i,
|  | int | n,
|  | std::ostream & | o ) const

inline

Print on o the alternative with view x at position i and value n.

Definition at line 60 of file val-commit.hpp.

The documentation for this class was generated from the following files:

- gecode/int/branch.hh
- gecode/int/branch/val-commit.hpp